/*
   $B%R%9%H%j!<%U%!%$%k$N%m!<%I%;!<%V$G$9!#(B
*/

#include <stdio.h>
#include "renju.h"
#include "renjucmd.h"

int saveHistory(char *histFile, RenjuCmd history[], int n)
{
    int i;
    FILE *fp;

    if (n == 0)
	return 0;

    fp = fopen(histFile, "w");
    if (fp == NULL)
	return 1;
    for (i = 0; i < n; i++) {
	WriteCmdFile(fp, history[i]);
    }
    fclose(fp);
    return 0;
}

int loadHistory(char *histFile, RenjuCmd history[])
{
    int i;
    FILE *fp;

    fp = fopen(histFile, "r");
    if (fp == NULL)
	return 0;

    i = 0;
    do {
	history[i] = ReadCmdFile(fp);
    } while (history[i++].type != CMD_END);
    i--;

    fclose(fp);

    return i;
}
