/*
   $B4pK\$N%X%C%@!<%U%!%$%k$G$9!#(B
 */

#ifndef RENJU_DEF
#define RENJU_DEF

#include <stdio.h>

#define BOARDSIZE	15
#define OUTSIZE		5
#define	CHECKSIZE	2

#define K_BLACK		0
#define K_WHITE		1
#define K_WALL		2
#define K_NOTHING	3
#define K_CHECK		4
#define K_CENTER	5
#define K_MAX		6

#define T_LOSE	0
#define T_0	1
#define T_2	2
#define T_S3	3
#define T_T3	4
#define T_3	5
#define T_T4	6
#define T_TL	7
#define T_4	8
#define T_33	9
#define T_43	10
#define T_44	11
#define T_R4	12
#define T_5	13
#define T_L	14

#define T_WIN	T_5

#define M_INITIALIZED	0
#define M_PLAYING	1
#define M_END		2
#define M_LOADING	3
#define M_STEPLOADING	4

#define JUKEI_MAX	24
#define JUKEI_SIZE	3

#define J_KANSETU	0
#define J_TyouSei	0
#define J_KyouGetu	1
#define J_KouSei	2
#define J_SuiGetu	3
#define J_RyuuSei	4
#define J_UnGetu	5
#define J_HoGetu	6
#define J_RanGetu	7
#define J_GinGetu	8
#define J_MyouGyou	9
#define J_SyaGetu	10
#define J_Meigetu	11

#define J_TYOKUSETU	12
#define J_KanSei	12
#define J_KeiGetu	13
#define J_SoSei		14
#define J_KaGetu	15
#define J_ZanGetu	16
#define J_UGetu		17
#define J_KinSei	18
#define J_SyouGetu	19
#define J_KyuuGetu	20
#define J_SinGetu	21
#define J_ZuiSei	22
#define J_SanGetu	23

typedef struct {
    char value[2];
    char lose[2];
    int koma;
} board_t[OUTSIZE + BOARDSIZE + OUTSIZE][OUTSIZE + BOARDSIZE + OUTSIZE];

#define BAN(b, x, y)	b[(y)+OUTSIZE][(x)+OUTSIZE]

#define HUMAN		0
#define COMPUTER	1
#define EXT_COM		2

#endif
