
#ifndef	RENJU_CMD_DEF
#define	RENJU_CMD_DEF

#include <stdio.h>

#include "renju.h"

typedef struct {
    char type;
    int x, y;
} RenjuCmd;

#define	CMD_INIT	'I'
#define CMD_PUT		'P'
#define CMD_THINK	'T'
#define CMD_SKIP	'S'
#define CMD_END		'E'
#define	CMD_HELP	'H'

/* renjucmd.c */
extern char *posMessage(char *str, int x, int y);
extern void getPos(char *str, int *px, int *py);
extern void WriteCmdStr(char *buf, RenjuCmd cmd);
extern void WriteCmdFile(FILE *fdout, RenjuCmd cmd);
extern RenjuCmd ReadCmdStr(char *buf);
extern RenjuCmd ReadCmdFile(FILE *fdin);

#endif

