#include <stdio.h>

#include <X11/Xlib.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "renju.h"
#include "renjucmd.h"

/* main.c */
extern Display *disp;
extern int screen;
extern Pixel KomaPix[6 ];
extern Pixel KomaMaskPix[6 ];
extern int KomaWidth;
extern int KomaHeight;
extern board_t bod;
extern int n;
extern int putn;
extern int player[2];
extern FILE *CmdIn[2];
extern FILE *CmdOut[2];
extern char *ExtCom[2];
extern XtInputId ExtComID[2];
extern int Mode;
extern RenjuCmd history[15 *15 ];
extern int depth;
extern unsigned long Blackpixel;
extern unsigned long Whitepixel;
extern GC blackGC;
extern GC whiteGC;
extern XtAppContext app_con;
extern Widget rootW;
extern Widget formW;
extern Widget buttonsW;
extern Widget configW;
extern Widget initW;
extern Widget startW;
extern Widget saveW;
extern Widget loadW;
extern Widget stepLoadW;
extern Widget thinkW;
extern Widget skipW;
extern Widget quitW;
extern Widget messageW;
extern Widget boardW;
extern Widget player1W;
extern Widget player2W;
extern Widget player1ListW;
extern Widget player2ListW;
extern Widget notifyW;
extern char *ordStr[2];
extern char *histFile;
extern Boolean notify;
extern struct app_resources_s app_resources;
extern char *PlayerStr[3];
extern int main(int argc, char *argv[]);
/* xevent.c */
extern void RedrawBoardProc(Widget w);
extern void QuitProc(void);
extern void PutMessage(char *format, ...);
extern void ClearMessage(void);
extern void PutKomaCmd(Widget w, board_t bod, RenjuCmd cmd);
extern void PutKoma(Widget w, XEvent *ev);
extern void PutKomaSafe(Widget w, XEvent *ev);
extern void StartProc(void);
extern void InitBoard(void);
extern void PutExtThinker(int num, int *fd, XtInputId *id);
extern void ThinkCom(void);
extern void ThinkProc(void);
extern void SkipProc(void);
extern void SetPlayerLabel(Widget w, int num, int type);
extern void PlayerSelect(Widget w, int num, int type);
extern void Player1Select(Widget w, int type);
extern void Player2Select(Widget w, int type);
extern void SaveProc(void);
extern void LoadProc(void);
extern void StepLoadProc(void);
extern void NotifyProc(void);
/* message.c */
extern char *messages[14 +1];
extern char *warning;
extern char *messageWon[2];
extern char *drawgame;
extern void getMessage(void);
